GET private-location/{geoloc}/private-agents
Lists all private agents for a specified private location.
URL Parameters
| Name | Description |
|---|---|
| geoloc | The geolocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoloc.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-location/{"{"}geoloc{"}"}/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "074c01fa-d8d7-43a4-ac35-5bc07f6b6f1b",
"agent_name": "sample string 2",
"customer_guid": "4a18d822-a175-446d-a108-12e294e8a921",
"geoloc": "sample string 4",
"created_utc": "2026-05-12T21:41:25",
"last_updated_utc": "2026-05-12T21:41:25",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-05-12T21:41:25",
"certificate_valid_till_utc": "2026-05-12T21:41:25",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "5c6b67f7-7670-470c-8ae6-b5b746564e89",
"agent_name": "sample string 2",
"customer_guid": "2bd8a47a-053e-4c89-ac5a-420952408083",
"geoloc": "sample string 4",
"created_utc": "2026-05-12T21:41:25",
"last_updated_utc": "2026-05-12T21:41:25",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-05-12T21:41:25",
"certificate_valid_till_utc": "2026-05-12T21:41:25",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "96ccadbc-1e59-475b-b048-13c2171bc768",
"agent_name": "sample string 2",
"customer_guid": "98284c36-7d65-4325-8b2c-54281b034504",
"geoloc": "sample string 4",
"created_utc": "2026-05-12T21:41:25",
"last_updated_utc": "2026-05-12T21:41:25",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-05-12T21:41:25",
"certificate_valid_till_utc": "2026-05-12T21:41:25",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid | The unique identifier of the agent. |
| AgentName | String | The name of the agent. |
| CustomerGuid | Guid | The unique identifier of the customer. |
| Geoloc | String | The geolocation string. |
| CreatedUtc | DateTime | The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime | The UTC timestamp when the agent was last updated. |
| Enabled | Boolean | Indicates whether the agent is enabled. |
| Health | String | The health status of the agent. |
| Status | String | The current status of the agent. |
| StatusUpdatedAt | Integer | The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime | The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime | The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String | The status of the node. |
| StatusDescription | String | A description of the agent's status. |
| SchedulingEligibility | String | Indicates the scheduling eligibility of the agent. |